%!TEX root=../../../thesis.tex
%!TEX file=content/caro-dynamics/spatial/statics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Statics}\label{sec:caro-dynamics:spatial:statics}

Similarly to the planar case, we employ no cable force control or Cartesian position control on the spatial \caro, as such we anticipate noticeable deviation from the set pose~$\platpose_{\ms{set}} = \transpose{ \left[ 0, 0, 0, 0, 0, 0 \right] }$.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{caro-dynamics--spatial--statics--shape}
  \includegraphics[%
      width=\linewidth,%
      axisratio=1.00,%
    ]{caro-dynamics/spatial/statics/shape}
  \tikzexternaldisable%
  \caption{%
    Static response of the spatial \MP{3}{3} \caro with \emph{rubber-like steel cables}.
    Target position of the platform is set to~$\platpos_{0} = \transpose{\left[ 0, 0, 0 \right]} \si{\meter}$, whereas static equilibrium is attained with a vertical deflection of~$\Delta z = \SI{-0.461561667}{\meter}$.
    Cable sagging is apparent, in particular for the lower four-pair of cable, yet also the upper four-pair of cable does not form a straight line.
  }
  \label{fig:caro-dynamics:spatial:statics:shape}
\end{figure}

Horizontal deflection of the spatial platform is within numerical inaccuracies of the framework, whereas vertical deflection satisfies solution using Irvine's cable model with a deviation of~$\Delta z \approxeq \SI{-0.461561667}{\meter}$.
Iteration speed using Newton's method for solving the statics equilibrium of a well-initialized spatial \caro multibody simulation ranges well below \num{100} iterations no matter the cable's mechanical parameters nor the attachment configuration, with the average iteration count being within \numrange{10}{20} iterations~(see~\cref{fig:caro-dynamics:spatial:statics:residuals}).

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{caro-dynamics--spatial--statics--residuals}
  \includegraphics[%
      width=1.00\linewidth,%
      height=0.425531915\linewidth,%
    ]{caro-dynamics/spatial/statics/residuals}
  \tikzexternaldisable%
  \caption{%
    Decay of residual norm~$\norm{\residual}$ during iteration solving the static equilibrium case for the spatial \MP{3}{3} \caro.
  }
  \label{fig:caro-dynamics:spatial:statics:residuals}
\end{figure}
